#ifndef _TURTLE_H
#define _TURTLE_H

class TURTLE
{
    public:
        TURTLE();
        ~TURTLE();

        void TURTLE::RotateVector(Vector3f& U,float Nroll,float Vroll,float Uroll);
        void TURTLE::ChangeBase(Vector3f& U,Vector3f& I,Vector3f& J,Vector3f& K);
        void TURTLE::SaveVectors(void);
        void TURTLE::RestoreVectors(void);
        float TURTLE::frnd(float o_d,float d_o);

        Vector3f U,V,N; // vektory pohladu, hore, do boku
        Vector3f POS;   // pozicia
        Vector3f X,Y,Z; // pomocne vektory na rotovanie

    //movement
        void TURTLE::Move(float s);
        void TURTLE::Fly(float s);
        void TURTLE::Strafe(float s);
        void TURTLE::Rotate(float a, float b, float c);

    // settings
        void TURTLE::SetPos(float x,float y,float z);
        void TURTLE::SetVectors(Vector3f x,Vector3f y,Vector3f z);
};

#endif